Index: c/src/libnetworking/rtems_telnetd/telnetd.c
===================================================================
--- c/src/libnetworking/rtems_telnetd/telnetd.c	(revision 94c76bc7306db7ebb78d80e18c102de8c48d24e8)
+++ c/src/libnetworking/rtems_telnetd/telnetd.c	(revision ea78ecadc96ac4da60e70a7d7c34e5a48e2bcb83)
@@ -46,5 +46,5 @@
 	char * devname;
 	int i=1;
-	int size_adr;
+	socklen_t size_adr;
 	if ((des_socket=socket(PF_INET,SOCK_STREAM,0))<0) {
 		perror("telnetd:socket");
Index: cpukit/ftpd/ftpd.c
===================================================================
--- cpukit/ftpd/ftpd.c	(revision 94c76bc7306db7ebb78d80e18c102de8c48d24e8)
+++ cpukit/ftpd/ftpd.c	(revision ea78ecadc96ac4da60e70a7d7c34e5a48e2bcb83)
@@ -1497,5 +1497,5 @@
   {
     struct sockaddr_in addr;
-    int addrLen = sizeof(addr);
+    socklen_t addrLen = sizeof(addr);
 
     addr = info->ctrl_addr;
@@ -1901,5 +1901,5 @@
 {
   int                 s;
-  int                 addrLen;
+  socklen_t	      addrLen;
   struct sockaddr_in  addr;
   FTPD_SessionInfo_t  *info = NULL;
Index: cpukit/librpc/src/rpc/clnt_tcp.c
===================================================================
--- cpukit/librpc/src/rpc/clnt_tcp.c	(revision 94c76bc7306db7ebb78d80e18c102de8c48d24e8)
+++ cpukit/librpc/src/rpc/clnt_tcp.c	(revision ea78ecadc96ac4da60e70a7d7c34e5a48e2bcb83)
@@ -366,5 +366,5 @@
 	register struct ct_data *ct = (struct ct_data *)cl->cl_private;
 	register struct timeval *tv;
-	int len;
+	socklen_t len;
 
 	switch (request) {
Index: cpukit/librpc/src/rpc/clnt_udp.c
===================================================================
--- cpukit/librpc/src/rpc/clnt_udp.c	(revision 94c76bc7306db7ebb78d80e18c102de8c48d24e8)
+++ cpukit/librpc/src/rpc/clnt_udp.c	(revision ea78ecadc96ac4da60e70a7d7c34e5a48e2bcb83)
@@ -227,5 +227,5 @@
 	register int outlen;
 	register int inlen;
-	int fromlen;
+	socklen_t fromlen;
 	fd_set *fds, readfds;
 	struct sockaddr_in from;
@@ -444,5 +444,5 @@
 	register struct cu_data *cu = (struct cu_data *)cl->cl_private;
 	register struct timeval *tv;
-	int len;
+	socklen_t len;
 
 	switch (request) {
Index: cpukit/librpc/src/rpc/pmap_rmt.c
===================================================================
--- cpukit/librpc/src/rpc/pmap_rmt.c	(revision 94c76bc7306db7ebb78d80e18c102de8c48d24e8)
+++ cpukit/librpc/src/rpc/pmap_rmt.c	(revision ea78ecadc96ac4da60e70a7d7c34e5a48e2bcb83)
@@ -241,5 +241,6 @@
 	XDR xdr_stream;
 	register XDR *xdrs = &xdr_stream;
-	int outlen, inlen, fromlen, nets;
+	int outlen, inlen, nets;
+	socklen_t fromlen;
 	register int sock;
 	int on = 1;
Index: cpukit/librpc/src/rpc/rtime.c
===================================================================
--- cpukit/librpc/src/rpc/rtime.c	(revision 94c76bc7306db7ebb78d80e18c102de8c48d24e8)
+++ cpukit/librpc/src/rpc/rtime.c	(revision ea78ecadc96ac4da60e70a7d7c34e5a48e2bcb83)
@@ -77,5 +77,5 @@
 	unsigned long thetime;
 	struct sockaddr_in from;
-	int fromlen;
+	socklen_t fromlen;
 	int type;
 	struct servent *serv;
Index: cpukit/librpc/src/rpc/svc_tcp.c
===================================================================
--- cpukit/librpc/src/rpc/svc_tcp.c	(revision 94c76bc7306db7ebb78d80e18c102de8c48d24e8)
+++ cpukit/librpc/src/rpc/svc_tcp.c	(revision ea78ecadc96ac4da60e70a7d7c34e5a48e2bcb83)
@@ -133,5 +133,5 @@
 	register struct tcp_rendezvous *r;
 	struct sockaddr_in addr;
-	int len = sizeof(struct sockaddr_in);
+	socklen_t len = sizeof(struct sockaddr_in);
 	int on;
 
@@ -243,5 +243,5 @@
 	struct tcp_rendezvous *r;
 	struct sockaddr_in addr;
-	int len;
+	socklen_t len;
 	int off;
 
Index: cpukit/librpc/src/rpc/svc_udp.c
===================================================================
--- cpukit/librpc/src/rpc/svc_udp.c	(revision 94c76bc7306db7ebb78d80e18c102de8c48d24e8)
+++ cpukit/librpc/src/rpc/svc_udp.c	(revision ea78ecadc96ac4da60e70a7d7c34e5a48e2bcb83)
@@ -105,5 +105,5 @@
 	register struct svcudp_data *su;
 	struct sockaddr_in addr;
-	int len = sizeof(struct sockaddr_in);
+	socklen_t len = sizeof(struct sockaddr_in);
 
 	if (sock == RPC_ANYSOCK) {
Index: cpukit/telnetd/telnetd.c
===================================================================
--- cpukit/telnetd/telnetd.c	(revision 94c76bc7306db7ebb78d80e18c102de8c48d24e8)
+++ cpukit/telnetd/telnetd.c	(revision ea78ecadc96ac4da60e70a7d7c34e5a48e2bcb83)
@@ -46,5 +46,5 @@
 	char * devname;
 	int i=1;
-	int size_adr;
+	socklen_t size_adr;
 	if ((des_socket=socket(PF_INET,SOCK_STREAM,0))<0) {
 		perror("telnetd:socket");
